# right (C) 2020 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

from sqlalchemy.schema import Column, PrimaryKeyConstraint, Index, \
    UniqueConstraint, ForeignKeyConstraint
from sqlalchemy.types import Integer, String

from xivo_dao.helpers.db_manager import Base


class Contact_Source(Base):
    __tablename__ = 'contact_source'
    __table_args__ = (
        PrimaryKeyConstraint('id'),
        ForeignKeyConstraint(('contact_id',),
                             ('contact.id',),
                             ondelete='RESTRICT'),
        UniqueConstraint('id', name='contact_source_id'),

        Index('contact_source__idx__id_in_source', 'id_in_source'),
    )

    id = Column(Integer, nullable=False, autoincrement=True, primary_key=True)
    id_in_source = Column(Integer, nullable=False, autoincrement=False)
    source = Column(String(128), nullable=False, autoincrement=False)
    contact_id = Column(Integer, nullable=False, autoincrement=False)
